## osgearth 2.0+dfsg

=== CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.6.4 FATAL_ERROR)

if(COMMAND cmake_policy)
    # Works around warnings libraries linked against that don't
    # have absolute paths (e.g. -lpthreads)
    cmake_policy(SET CMP0003 NEW)

    # Works around warnings about escaped quotes in ADD_DEFINITIONS
    # statements.
    cmake_policy(SET CMP0005 OLD)
endif(COMMAND cmake_policy)

PROJECT(OSGEARTH)

SET(OSGEARTH_MAJOR_VERSION 2)
SET(OSGEARTH_MINOR_VERSION 0)
SET(OSGEARTH_PATCH_VERSION 0)
SET(OSGEARTH_SOVERSION 1)

SET(OSGEARTH_PLUGIN_PREFIX "")

IF (CYGWIN)
    SET(OSGEARTH_PLUGIN_PREFIX "cygwin_")
ENDIF()

IF(MINGW)
    SET(OSGEARTH_PLUGIN_PREFIX "mingw_")
ENDIF()


SET(OSGEARTH_VERSION ${OSGEARTH_MAJOR_VERSION}.${OSGEARTH_MINOR_VERSION}.${OSGEARTH_PATCH_VERSION})

# We want to build SONAMES shared librariess
SET(OSGEARTH_SONAMES TRUE)
SET(OPENTHREADS_SONAMES TRUE)

SET(OpenThreads_SOURCE_DIR ${OSGEARTH_SOURCE_DIR})

# We have some custom .cmake scripts not in the official distribution.
# Maybe this can be used override existing behavior if needed?
SET(CMAKE_MODULE_PATH "${OSGEARTH_SOURCE_DIR}/CMakeModules;${CMAKE_MODULE_PATH}")

# check if STLport is required
OPTION(USE_STLPORT "Set to ON to build OSGEARTH with stlport instead of the default STL library." OFF)
IF(USE_STLPORT)
	INCLUDE_DIRECTORIES(${STLPORT_DIR}/stlport)
	LINK_DIRECTORIES(${STLPORT_DIR}/lib)
ENDIF()

# Okay, here's the problem: On some platforms, linking against OpenThreads
# is not enough and explicit linking to the underlying thread library
# is also required (e.g. FreeBSD). But OpenThreads may be built with different
# backends (Pthreads, Sproc, Windows) so we don't know what the underlying
# thread library is because some platforms support multiple backends (e.g.
# IRIX supports Sproc and Pthreads). Linking all libraries won't work
# because the libraries may be incompatible.
# So the current solution is to attempt best guess linking and exempt certain
# cases. With IRIX, we're going to hope explicit linking to the underlying
# library is not necessary. We currently don't case for pthreads on Windows
# which might be an issue on things like Cygwin. This may need to be fixed.
FIND_PACKAGE(Threads)
IF(CMAKE_SYSTEM MATCHES IRIX)
    # Erase CMAKE_THREAD_LIBS_INIT and hope it works
    SET(CMAKE_THREAD_LIBS_INIT "" CACHE INTERNAL "")
ENDIF(CMAKE_SYSTEM MATCHES IRIX)

FIND_PACKAGE(OpenGL)

FIND_PACKAGE(CURL)
FIND_PACKAGE(GDAL)
FIND_PACKAGE(LibZip)
FIND_PACKAGE(GEOS)
FIND_PACKAGE(Sqlite3)
FIND_PACKAGE(ZLIB)

IF(UNIX)
    # Not sure what this will do on Cygwin and Msys
    # Also, remember OS X X11 is a user installed option so it may not exist.
    FIND_PACKAGE(X11)
    # Some Unicies need explicit linkage to the Math library or the build fails.
    FIND_LIBRARY(MATH_LIBRARY m)
ENDIF(UNIX)

# Make the headers visible to everything
INCLUDE_DIRECTORIES(
    ${OSGEARTH_SOURCE_DIR}/src
    ${OSG_DIR}/include
    ${OSG_INCLUDE_DIR}
)

# Common global definitions
#ADD_DEFINITIONS(-D)
# Platform specific definitions

IF(WIN32)
  IF(MSVC)
        # This option is to enable the /MP switch for Visual Studio 2005 and above compilers
        OPTION(WIN32_USE_MP "Set to ON to build osgEarth with the /MP option (Visual Studio 2005 and above)." OFF)
        MARK_AS_ADVANCED(WIN32_USE_MP)
        IF(WIN32_USE_MP)
            SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /MP")
        ENDIF(WIN32_USE_MP)

        # turn off various warnings
        # foreach(warning 4244 4251 4267 4275 4290 4786 4305 4996)
        #     SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /wd${warning}")
        # endforeach(warning)

        # More MSVC specific compilation flags
        ADD_DEFINITIONS(-D_SCL_SECURE_NO_WARNINGS)
        ADD_DEFINITIONS(-D_CRT_SECURE_NO_DEPRECATE)
    ENDIF(MSVC)
ENDIF(WIN32)

########################################################################################################
##### these were settings located in SetupCommon.cmake used in Luigi builds.... find out what are useful
########################################################################################################
#luigi#SET(CMAKE_VERBOSE_MAKEFILE TRUE)
#luigi#SET(CMAKE_SKIP_RPATH TRUE)
#luigi#SET(CMAKE_SKIP_RULE_DEPENDENCY TRUE)
#luigi#IF(UNIX)
#luigi#    LIST_CONTAINS(contains "g++" ${CMAKE_CXX_COMPILER_LIST})
#luigi#    IF (contains)
#luigi#        MESSAGE(${MY_MESSAGE_DEFAULT} "${CMAKE_CURRENT_LIST_FILE}:${CMAKE_CURRENT_LIST_LINE} setting  CMAKE_CXX_COMPILER to g++")
#luigi#        SET(CMAKE_CXX_COMPILER "g++")
#luigi#        SET(CMAKE_CXX_COMPILER_LOADED 2)
#luigi#        SET(CMAKE_CXX_COMPILER_WORKS 2)
#luigi#    ENDIF (contains)
#luigi#    SET(CMAKE_CXX_FLAGS_RELEASE "-O2")
#luigi#    SET(CMAKE_CXX_FLAGS_DEBUG "-ggdb -gstabs")
#luigi#ENDIF(UNIX)
########################################################################################################

# Common to all platforms:
SET(OSG_DIR "" CACHE PATH "set to base osg install path")

SET(CMAKE_DEBUG_POSTFIX  "d" CACHE STRING "add a postfix, usually d on windows")

FIND_PACKAGE(OSG)
#FIND_PACKAGE(GDAL)

################################################################################
# Create bin and lib directories if required

IF("${CMAKE_SOURCE_DIR}" STREQUAL "${CMAKE_BINARY_DIR}")
   FILE(MAKE_DIRECTORY ${CMAKE_BINARY_DIR}/bin ${CMAKE_BINARY_DIR}/lib)
ENDIF("${CMAKE_SOURCE_DIR}" STREQUAL "${CMAKE_BINARY_DIR}")


################################################################################
# Installation stuff


IF(UNIX AND NOT WIN32 AND NOT APPLE)
  IF(CMAKE_SIZEOF_VOID_P MATCHES "8")
      SET(LIB_POSTFIX "64" CACHE STRING "suffix for 32/64 dir placement")
      MARK_AS_ADVANCED(LIB_POSTFIX)
  ENDIF(CMAKE_SIZEOF_VOID_P MATCHES "8")
ENDIF(UNIX AND NOT WIN32 AND NOT APPLE)
IF(NOT DEFINED LIB_POSTFIX)
    SET(LIB_POSTFIX "")
ENDIF(NOT DEFINED LIB_POSTFIX)

#SET(OUTPUT_BINDIR ${PROJECT_BINARY_DIR}/bin/${CMAKE_SYSTEM_NAME})
SET(OUTPUT_BINDIR ${PROJECT_BINARY_DIR}/bin)
MAKE_DIRECTORY(${OUTPUT_BINDIR})
SET(EXECUTABLE_OUTPUT_PATH ${OUTPUT_BINDIR})

#SET(OUTPUT_LIBDIR ${PROJECT_BINARY_DIR}/lib/${CMAKE_SYSTEM_NAME})
SET(OUTPUT_LIBDIR ${PROJECT_BINARY_DIR}/lib)
MAKE_DIRECTORY(${OUTPUT_LIBDIR})
SET(LIBRARY_OUTPUT_PATH ${OUTPUT_LIBDIR})

LINK_DIRECTORIES( ${LINK_DIRECTORIES} ${OUTPUT_LIBDIR} )


#SET(INSTALL_BINDIR VIRTUALPLANETBUILDER/bin)
#SET(INSTALL_INCDIR VIRTUALPLANETBUILDER/include)
#SET(INSTALL_LIBDIR VIRTUALPLANETBUILDER/lib)
#SET(INSTALL_DOCDIR VIRTUALPLANETBUILDER/doc)

################################################################################
# User Options


# Expose CMAKE_INCLUDE_PATH and CMAKE_LIBARY_PATH to the GUI so users
# may set these values without needing to manipulate the environment.
SET(CMAKE_INCLUDE_PATH ${CMAKE_INCLUDE_PATH} CACHE STRING "You may add additional search paths here. Use ; to separate multiple paths.")
SET(CMAKE_LIBRARY_PATH ${CMAKE_LIBRARY_PATH} CACHE STRING "You may add additional search paths here. Use ; to separate multiple paths.")
# We are proposing that a new variable called CMAKE_PREFIX_PATH be introduced
# to CMake to compliment CMAKE_INCLUDE_PATH and CMAKE_LIBRARY_PATH.
# A formal feature request has been submited to CMake, Bug #4947.
# It is intended for those users who have common prefixes for their INCLUDE
# and LIBRARY locations. So if users have headers in /usr/local/include
# and libraries in /usr/local/lib, the common prefix is /usr/local.
# It should also cover the case where headers and libraries are
# in the same directory.
# Our proposal expects that FIND_* commands will automatically search for
# CMAKE_PREFIX_PATH right after CMAKE_INCLUDE_PATH or CMAKE_LIBRARY_PATH.
# Obviously, since CMake does not currently support this, we must write
# our Find*.cmake modules to explicitly support this. Otherwise, this variable
# will have no impact.
# This is unofficial so this may be removed or changed at anytime.
SET(CMAKE_PREFIX_PATH ${CMAKE_PREFIX_PATH} CACHE STRING "(EXPERIMENTAL) You may add additional search paths here. Use ; to separate multiple paths.")

# Dynamic vs Static Linking
OPTION(DYNAMIC_OSGEARTH "Set to ON to build OSGEARTH for dynamic linking.  Use OFF for static." ON)
IF   (DYNAMIC_OSGEARTH)
    SET(OSGEARTH_USER_DEFINED_DYNAMIC_OR_STATIC "SHARED")
ELSE (DYNAMIC_OSGEARTH)
    SET(OSGEARTH_USER_DEFINED_DYNAMIC_OR_STATIC "STATIC")
ENDIF(DYNAMIC_OSGEARTH)

#Whether or not to copy osgEarth to the OSG_DIR during installation
# Dynamic vs Static Linking
OPTION(INSTALL_TO_OSG_DIR "Set to ON to install osgearth to the path defined in the OSG_DIR" OFF)
IF(INSTALL_TO_OSG_DIR)
    SET(OSGEARTH_INSTALL_TO_OSG_DIR TRUE)
ELSE (INSTALL_TO_OSG_DIR)
    SET(OSGEARTH_INSTALL_TO_OSG_DIR FALSE)
ENDIF(INSTALL_TO_OSG_DIR)


INCLUDE(OsgEarthMacroUtils)

DETECT_OSG_VERSION()

# OE Core
ADD_SUBDIRECTORY(src)

# VPB Applications
# OPTION(BUILD_APPLICATIONS "Enable to build OSGEARTH Applications" ON)
# IF   (BUILD_APPLICATIONS)
    # ADD_SUBDIRECTORY(applications)
# ENDIF(BUILD_APPLICATIONS)



# Set defaults for Universal Binaries. We want 32-bit Intel/PPC on 10.4
# and 32/64-bit Intel/PPC on >= 10.5. Anything <= 10.3 doesn't support.
IF(APPLE)
    # These are just defaults/recommendations, but how we want to build
    # out of the box. But the user needs to be able to change these options.
    # So we must only set the values the first time CMake is run, or we
    # will overwrite any changes the user sets.
    # FORCE is used because the options are not reflected in the UI otherwise.
    # Seems like a good place to add version specific compiler flags too.
    IF(NOT OSGEARTH_CONFIG_HAS_BEEN_RUN_BEFORE)
        # This is really fragile, but CMake doesn't provide the OS system
        # version information we need. (Darwin versions can be changed
        # independently of OS X versions.)
        # It does look like CMake handles the CMAKE_OSX_SYSROOT automatically.
        IF(EXISTS /Developer/SDKs/10.5.sdk)
            SET(CMAKE_OSX_ARCHITECTURES "ppc;i386;ppc64;x86_64" CACHE STRING "Build architectures for OSX" FORCE)
            SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -mmacosx-version-min=10.5 -ftree-vectorize -fvisibility-inlines-hidden" CACHE STRING "Flags used by the compiler during all build types." FORCE)
        ELSE(EXISTS /Developer/SDKs/10.5.sdk)
            IF(EXISTS /Developer/SDKs/MacOSX10.4u.sdk)
                SET(CMAKE_OSX_ARCHITECTURES "ppc;i386" CACHE STRING "Build architectures for OSX" FORCE)
                SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -mmacosx-version-min=10.4 -ftree-vectorize -fvisibility-inlines-hidden" CACHE STRING "Flags used by the compiler during all build types." FORCE)
            ELSE(EXISTS /Developer/SDKs/MacOSX10.4u.sdk)
                # No Universal Binary support
                # Should break down further to set the -mmacosx-version-min,
                # but the SDK detection is too unreliable here.
            ENDIF(EXISTS /Developer/SDKs/MacOSX10.4u.sdk)
        ENDIF(EXISTS /Developer/SDKs/10.5.sdk)
    ENDIF(NOT OSGEARTH_CONFIG_HAS_BEEN_RUN_BEFORE)

    OPTION(OSGEARTH_BUILD_APPLICATION_BUNDLES "Enable the building of applications and examples as OSX Bundles" OFF)

ENDIF(APPLE)


# This needs to be run very last so other parts of the scripts can take
# advantage of this.
IF(NOT OSGEARTH_CONFIG_HAS_BEEN_RUN_BEFORE)
    SET(OSGEARTH_CONFIG_HAS_BEEN_RUN_BEFORE 1 CACHE INTERNAL "Flag to track whether this is the first time running CMake or if CMake has been configured before")
ENDIF(NOT OSGEARTH_CONFIG_HAS_BEEN_RUN_BEFORE)


#-----------------------------------------------------------------------------
### uninstall target
#-----------------------------------------------------------------------------
CONFIGURE_FILE(
  "${CMAKE_CURRENT_SOURCE_DIR}/CMakeModules/cmake_uninstall.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
  IMMEDIATE @ONLY)
ADD_CUSTOM_TARGET(uninstall
  "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")

=== src/CMakeLists.txt ===
#the old construct SUBDIRS( was substituded by ADD_SUBDIRECTORY that is to be preferred according on CMake docs.
FOREACH( myfolder
        osgEarth
        osgEarthFeatures
        osgEarthUtil
        osgEarthDrivers
        osgEarthSymbology
        applications
    )

    ADD_SUBDIRECTORY(${myfolder})

ENDFOREACH( myfolder)


IF(MSVC80)
  OPTION(OSGEARTH_MSVC_GENERATE_PLUGINS_AND_WRAPPERS_MANIFESTS "Generate or not manifests files under VS8 for dynamically loaded dlls" ON)
ENDIF(MSVC80)

=== src/applications/CMakeLists.txt ===
PROJECT(OSGEARTH_APPLICATIONS)

SET(OSGCORE_BUNDLED TRUE)

IF(NOT OSGCORE_BUNDLED)
	FIND_PACKAGE(OSGCORE)
	IF(OSGCORE_FOUND)
		INCLUDE(${OSGCORE_USE_FILE})
	ELSE(OSGCORE_FOUND)
		MESSAGE(ERROR "OSGCORE neeeded but NOT FOUND")
	ENDIF(OSGCORE_FOUND)
	SET(CMAKE_MODULE_PATH  ${PROJECT_SOURCE_DIR}/../../Macros)
ENDIF(NOT OSGCORE_BUNDLED)
SET(OPENSCENEGRAPH_APPLICATION_DIR ${PROJECT_SOURCE_DIR})

#OpenThreads, osg, osgDB and osgUtil are included elsewhere.
SET(TARGET_COMMON_LIBRARIES
    osgEarth
    osgEarthFeatures
    osgEarthUtil
    osgEarthSymbology
)

SET(TARGET_DEFAULT_PREFIX "application_")
SET(TARGET_DEFAULT_LABEL_PREFIX "Sample")

ADD_SUBDIRECTORY(osgearth_viewer)
ADD_SUBDIRECTORY(osgearth_manip)
ADD_SUBDIRECTORY(osgearth_seed)
ADD_SUBDIRECTORY(osgearth_clouds)
ADD_SUBDIRECTORY(osgearth_ocean)
ADD_SUBDIRECTORY(osgearth_toc)
ADD_SUBDIRECTORY(osgearth_elevation)
ADD_SUBDIRECTORY(osgearth_features)
ADD_SUBDIRECTORY(osgearth_version)
ADD_SUBDIRECTORY(osgearth_controls)
ADD_SUBDIRECTORY(osgearth_shadercomp)
ADD_SUBDIRECTORY(osgearth_tilesource)

#ADD_SUBDIRECTORY(osgearth_symbology)
IF(NOT (${OPENSCENEGRAPH_VERSION} VERSION_LESS "2.9.10"))
   ADD_SUBDIRECTORY(osgearth_seamless)
ENDIF(NOT (${OPENSCENEGRAPH_VERSION} VERSION_LESS "2.9.10"))

=== src/osgEarth/CMakeLists.txt ===
IF   (DYNAMIC_OSGEARTH)
    ADD_DEFINITIONS(-DOSGEARTH_LIBRARY)
ELSE (DYNAMIC_OSGEARTH)
    ADD_DEFINITIONS(-DOSGEARTH_LIBRARY_STATIC)
ENDIF(DYNAMIC_OSGEARTH)

OPTION(CURL_IS_STATIC "on if curl is a static lib " ON)
MARK_AS_ADVANCED(CURL_IS_STATIC)

IF(WIN32)
    SET(CMAKE_SHARED_LINKER_FLAGS_DEBUG "${CMAKE_SHARED_LINKER_FLAGS_DEBUG} /NODEFAULTLIB:MSVCRT")
    IF(CURL_IS_STATIC)
        ADD_DEFINITIONS(-DCURL_STATICLIB)
        SET(TARGET_EXTERNAL_LIBRARIES ws2_32 winmm wldap32)
    ENDIF(CURL_IS_STATIC)
ENDIF(WIN32)

SET(LIB_NAME osgEarth)

SET(HEADER_PATH ${OSGEARTH_SOURCE_DIR}/include/${LIB_NAME})
SET(LIB_PUBLIC_HEADERS
    Caching
	CacheSeed
	Capabilities
    Common
    CompositeTileSource
    Config
    Cube
    ElevationLayer
    Export
    EGM
    FileUtils
	FindNode
    GeoData
    GeoMath
    HeightFieldUtils
    HTTPClient
    ImageToHeightFieldConverter
    ImageLayer
    ImageMosaic
    ImageUtils
    JsonUtils
    Layer
    Locators
    Map
    MapNode
    MapNodeOptions
    MapOptions
    MaskLayer
    MaskNode
    ModelLayer
    ModelSource
	Notify
	OverlayDecorator
    Profile
	Progress
    Registry
    Revisioning
    ShaderComposition
    ShaderUtils
    SparseTexture2DArray
    SpatialReference
    StringUtils
    TaskService
    TerrainLayer
    TerrainOptions
    TerrainEngineNode
    TextureCompositor
    TextureCompositorMulti
    TextureCompositorTexArray
    TileFactory
    TileKey
    TileSource
    ThreadingUtils
    tinystr.h
    tinyxml.h 
    TMS
    Units
	Version
    VerticalSpatialReference
    XmlUtils
)

ADD_LIBRARY(${LIB_NAME} SHARED
#    ${OSGEARTH_USER_DEFINED_DYNAMIC_OR_STATIC}
    ${LIB_PUBLIC_HEADERS}
    Caching.cpp
    CacheSeed.cpp
	Capabilities.cpp
    CompositeTileSource.cpp
    Config.cpp
    Cube.cpp
    EGM.cpp
    ElevationLayer.cpp
    FileUtils.cpp
    GeoData.cpp
    GeoMath.cpp
    HeightFieldUtils.cpp
    HTTPClient.cpp
    ImageLayer.cpp
    ImageMosaic.cpp
    ImageToHeightFieldConverter.cpp
    ImageUtils.cpp
    JsonUtils.cpp
    Layer.cpp
    Locators.cpp
    Map.cpp
    MapNode.cpp
    MapNodeOptions.cpp
    MapOptions.cpp
    MaskLayer.cpp
    MaskNode.cpp
	MimeTypes.cpp
	ModelLayer.cpp
	ModelSource.cpp
	Notify.cpp
	OverlayDecorator.cpp
    Profile.cpp
	Progress.cpp
    Registry.cpp
    ShaderComposition.cpp
    ShaderUtils.cpp
    SparseTexture2DArray.cpp
    SpatialReference.cpp
    TaskService.cpp
    TerrainLayer.cpp
    TerrainOptions.cpp
    TerrainEngineNode.cpp
    TextureCompositor.cpp
    TextureCompositorMulti.cpp
    TextureCompositorTexArray.cpp
    TileFactory.cpp
    TileKey.cpp
    TileSource.cpp
    tinystr.cpp
    tinyxml.cpp
    tinyxmlerror.cpp
    tinyxmlparser.cpp
    TMS.cpp
    Units.cpp
    Version.cpp
    VerticalSpatialReference.cpp
    XmlUtils.cpp
)

INCLUDE_DIRECTORIES(${GDAL_INCLUDE_DIR} ${CURL_INCLUDE_DIR} ${OSG_INCLUDE_DIR} )

IF (WIN32)
  LINK_EXTERNAL(${LIB_NAME} ${TARGET_EXTERNAL_LIBRARIES} ${CMAKE_THREAD_LIBS_INIT} ${MATH_LIBRARY} )
ELSE(WIN32)
  LINK_EXTERNAL(${LIB_NAME} ${TARGET_EXTERNAL_LIBRARIES} ${CMAKE_THREAD_LIBS_INIT} ${MATH_LIBRARY} )
ENDIF(WIN32)

LINK_WITH_VARIABLES(${LIB_NAME} OSG_LIBRARY OSGUTIL_LIBRARY OSGSIM_LIBRARY OSGTERRAIN_LIBRARY OSGDB_LIBRARY OSGFX_LIBRARY OSGVIEWER_LIBRARY OSGTEXT_LIBRARY OSGGA_LIBRARY OSGSHADOW_LIBRARY OPENTHREADS_LIBRARY CURL_LIBRARY GDAL_LIBRARY ZLIB_LIBRARY)
LINK_CORELIB_DEFAULT(${LIB_NAME} ${CMAKE_THREAD_LIBS_INIT} ${MATH_LIBRARY})

INCLUDE(ModuleInstall OPTIONAL)

=== src/osgEarthDrivers/CMakeLists.txt ===
#---------------------------------------------------
# OSG CMAKE SUPPORT 
# (C) by Michael Wagner, mtw@shared-reality.com 2005
# (C) Eric Wing, Luigi Calori and Robert Osfield 2006-2007
#---------------------------------------------------

PROJECT(OSGEARTH_PLUGINS_MASTER)


SET(CMAKE_SHARED_MODULE_PREFIX ${OSGEARTH_PLUGIN_PREFIX})

IF(MSVC80)
  IF(NOT OSGEARTH_MSVC_GENERATE_PLUGINS_AND_WRAPPERS_MANIFESTS)
    SET(CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} /MANIFEST:NO")
  ENDIF(NOT OSGEARTH_MSVC_GENERATE_PLUGINS_AND_WRAPPERS_MANIFESTS)
ENDIF(MSVC80)

SET(TARGET_DEFAULT_PREFIX "osgdb_")
SET(TARGET_DEFAULT_LABEL_PREFIX "Plugin")

#OpenThreads, osg, osgDB and osgUtil are included elsewhere.
SET(TARGET_COMMON_LIBRARIES 
    osgEarth
)

############################################################
#
#  NodeKit/Psudo loader plugins
#
ADD_SUBDIRECTORY(earth)

ADD_SUBDIRECTORY(wcs)
ADD_SUBDIRECTORY(wms)
ADD_SUBDIRECTORY(tilecache)
ADD_SUBDIRECTORY(tileservice)
ADD_SUBDIRECTORY(yahoo)
ADD_SUBDIRECTORY(arcgis_map_cache)
ADD_SUBDIRECTORY(arcgis)
ADD_SUBDIRECTORY(tms)
ADD_SUBDIRECTORY(vpb)
ADD_SUBDIRECTORY(osg)
ADD_SUBDIRECTORY(agglite)
ADD_SUBDIRECTORY(model_simple)

IF(LIBZIP_FOUND)
  ADD_SUBDIRECTORY(zipfs)
  ADD_SUBDIRECTORY(worldwind)
ENDIF(LIBZIP_FOUND)

IF(GDAL_FOUND)
  ADD_SUBDIRECTORY(gdal)
  ADD_SUBDIRECTORY(feature_ogr)
#  ADD_SUBDIRECTORY(model_feature_overlay)
  ADD_SUBDIRECTORY(model_feature_stencil)
  ADD_SUBDIRECTORY(model_feature_geom)
  ADD_SUBDIRECTORY(model_feature_label)
ENDIF(GDAL_FOUND)

IF(SQLITE3_FOUND)
  ADD_SUBDIRECTORY(cache_sqlite3)
ENDIF(SQLITE3_FOUND)

ADD_SUBDIRECTORY(engine_osgterrain)
#ADD_SUBDIRECTORY(engine_droam)
IF(NOT (${OPENSCENEGRAPH_VERSION} VERSION_LESS "2.9.10"))
ADD_SUBDIRECTORY(engine_seamless)
ENDIF(NOT (${OPENSCENEGRAPH_VERSION} VERSION_LESS "2.9.10"))

=== src/osgEarthFeatures/CMakeLists.txt ===
IF   (DYNAMIC_OSGEARTH)
    ADD_DEFINITIONS(-DOSGEARTHFEATURES_LIBRARY)
ELSE (DYNAMIC_OSGEARTH)
    ADD_DEFINITIONS(-DOSGEARTHFEATURES_LIBRARY_STATIC)
ENDIF(DYNAMIC_OSGEARTH)

IF (GEOS_FOUND)
    ADD_DEFINITIONS(-DOSGEARTH_HAVE_GEOS)
ENDIF(GEOS_FOUND)

SET(LIB_NAME osgEarthFeatures)

SET(HEADER_PATH ${OSGEARTH_SOURCE_DIR}/include/${LIB_NAME})
SET(LIB_PUBLIC_HEADERS
    Annotation  
    BufferFilter
    BuildGeometryFilter  
    Common
    ConvertTypeFilter
    Feature
    FeatureGridder
    FeatureModelSource
    FeatureSource
    FeatureSymbolizer
    FeatureTileSource
    Filter
    ResampleFilter
    ScaleFilter
	BuildTextOperator
    TransformFilter
    VirtualFeatureSource
)

ADD_LIBRARY(${LIB_NAME} SHARED
    ${LIB_PUBLIC_HEADERS}
    Annotation.cpp
    BufferFilter.cpp
    BuildGeometryFilter.cpp
    ConvertTypeFilter.cpp
    Feature.cpp
    FeatureGridder.cpp
    FeatureModelSource.cpp
    FeatureSource.cpp
    FeatureSymbolizer.cpp
    FeatureTileSource.cpp
    Filter.cpp
    ResampleFilter.cpp
    ScaleFilter.cpp
	BuildTextOperator.cpp
    TransformFilter.cpp
    VirtualFeatureSource.cpp
)


IF (WIN32)
  LINK_EXTERNAL(${LIB_NAME} ${TARGET_EXTERNAL_LIBRARIES} ${CMAKE_THREAD_LIBS_INIT} ${MATH_LIBRARY})
ELSE(WIN32)
  LINK_EXTERNAL(${LIB_NAME} ${TARGET_EXTERNAL_LIBRARIES} ${CMAKE_THREAD_LIBS_INIT} ${MATH_LIBRARY})
ENDIF(WIN32)

LINK_INTERNAL(${LIB_NAME}
    osgEarth
    osgEarthSymbology
)

LINK_WITH_VARIABLES(${LIB_NAME} OSG_LIBRARY OSGUTIL_LIBRARY OSGSIM_LIBRARY OSGTERRAIN_LIBRARY OSGDB_LIBRARY OSGFX_LIBRARY OSGVIEWER_LIBRARY OSGTEXT_LIBRARY OSGGA_LIBRARY OPENTHREADS_LIBRARY)

LINK_CORELIB_DEFAULT(${LIB_NAME} ${CMAKE_THREAD_LIBS_INIT} ${MATH_LIBRARY})

INCLUDE(ModuleInstall OPTIONAL)

=== src/osgEarthSymbology/CMakeLists.txt ===
IF   (DYNAMIC_OSGEARTH)
    ADD_DEFINITIONS(-DOSGEARTHSYMBOLOGY_LIBRARY)
ELSE (DYNAMIC_OSGEARTH)
    ADD_DEFINITIONS(-DOSGEARTHSYMBOLOGY_LIBRARY_STATIC)
ENDIF(DYNAMIC_OSGEARTH)

IF (GEOS_FOUND)
    ADD_DEFINITIONS(-DOSGEARTH_HAVE_GEOS)
ENDIF(GEOS_FOUND)

SET(LIB_NAME osgEarthSymbology)

SET(HEADER_PATH ${OSGEARTH_SOURCE_DIR}/include/${LIB_NAME})
SET(LIB_PUBLIC_HEADERS
#   header files go here
    AGG.h
    Common
    Content
    CssUtils
    ExtrudedSymbol
    Geometry
    GeometryExtrudeSymbolizer
    GeometrySymbolizer
    GeometrySymbol
    GEOS
    GeometryRasterizer
    LineFunctor
    MarkerSymbolizer
    MarkerSymbol
    MeshSubdivider
    ModelSymbolizer
    Query
    Registry
    StencilVolumeNode
    Style
    SLD
    StyleSheet
    Symbol
    SymbolicNode
    Symbolizer
    Text
)

ADD_LIBRARY(${LIB_NAME} SHARED
    ${LIB_PUBLIC_HEADERS}
#  .cpp files go here
    CssUtils.cpp
    ExtrudedSymbol.cpp
    Geometry.cpp
    GeometryExtrudeSymbolizer.cpp
    GeometrySymbolizer.cpp
    GeometrySymbol.cpp
    GEOS.cpp
    GeometryRasterizer.cpp
    MarkerSymbolizer.cpp
    MarkerSymbol.cpp
    MeshSubdivider.cpp
    ModelSymbolizer.cpp
    Query.cpp
    Registry.cpp
    StencilVolumeNode.cpp
    Style.cpp
    SLD.cpp
    StyleSheet.cpp
    Symbol.cpp
    SymbolicNode.cpp
    Symbolizer.cpp
    Text.cpp
)

IF(GEOS_FOUND)
  INCLUDE_DIRECTORIES(${OSG_INCLUDE_DIR} ${OSGEARTH_SOURCE_DIR} ${GEOS_INCLUDE_DIR})
ELSE(GEOS_FOUND)
  INCLUDE_DIRECTORIES(${OSG_INCLUDE_DIR} ${OSGEARTH_SOURCE_DIR})
ENDIF(GEOS_FOUND)

IF (WIN32)
  LINK_EXTERNAL(${LIB_NAME} ${TARGET_EXTERNAL_LIBRARIES} ${CMAKE_THREAD_LIBS_INIT} ${MATH_LIBRARY})
ELSE(WIN32)
  LINK_EXTERNAL(${LIB_NAME} ${TARGET_EXTERNAL_LIBRARIES} ${CMAKE_THREAD_LIBS_INIT} ${MATH_LIBRARY})
ENDIF(WIN32)

LINK_INTERNAL(${LIB_NAME}
    osgEarth
)

IF(GEOS_FOUND)
   LINK_WITH_VARIABLES(${LIB_NAME} OSG_LIBRARY OSGWIDGET_LIBRARY OSGUTIL_LIBRARY OSGSIM_LIBRARY OSGTERRAIN_LIBRARY OSGDB_LIBRARY OSGFX_LIBRARY OSGVIEWER_LIBRARY OSGTEXT_LIBRARY OSGGA_LIBRARY OPENTHREADS_LIBRARY GEOS_LIBRARY)
ELSE(GEOS_FOUND)
  LINK_WITH_VARIABLES(${LIB_NAME} OSG_LIBRARY OSGWIDGET_LIBRARY OSGUTIL_LIBRARY OSGSIM_LIBRARY OSGTERRAIN_LIBRARY OSGDB_LIBRARY OSGFX_LIBRARY OSGVIEWER_LIBRARY OSGTEXT_LIBRARY OSGGA_LIBRARY OPENTHREADS_LIBRARY)
ENDIF(GEOS_FOUND)

LINK_CORELIB_DEFAULT(${LIB_NAME} ${CMAKE_THREAD_LIBS_INIT} ${MATH_LIBRARY})

INCLUDE(ModuleInstall OPTIONAL)

=== src/osgEarthUtil/CMakeLists.txt ===
IF   (DYNAMIC_OSGEARTH)
    ADD_DEFINITIONS(-DOSGEARTHUTIL_LIBRARY)
ELSE (DYNAMIC_OSGEARTH)
    ADD_DEFINITIONS(-DOSGEARTHUTIL_LIBRARY_STATIC)
ENDIF(DYNAMIC_OSGEARTH)

SET(LIB_NAME osgEarthUtil)

SET(HEADER_PATH ${OSGEARTH_SOURCE_DIR}/include/${LIB_NAME})
SET(LIB_PUBLIC_HEADERS    
    AutoClipPlaneHandler
    Common
    Controls
    ClampCallback
    EarthManipulator
    ElevationManager
    Export
    Graticule
    ObjectPlacer
    ObjectLocator
    OceanSurfaceNode
    SkyNode
    SpatialData
    StarData
    Viewpoint
    WMS
)

ADD_LIBRARY(${LIB_NAME} SHARED
    ${LIB_PUBLIC_HEADERS}  
    AutoClipPlaneHandler.cpp
    ClampCallback.cpp
    Controls.cpp
    EarthManipulator.cpp	
    ElevationManager.cpp
    Graticule.cpp
    ObjectPlacer.cpp
    ObjectLocator.cpp
    OceanSurfaceNode.cpp
    SpatialData.cpp
    SkyNode.cpp
    Viewpoint.cpp
    WMS.cpp
)

INCLUDE_DIRECTORIES(${OSG_INCLUDE_DIR} ${OSGEARTH_SOURCE_DIR})

IF (WIN32)
  LINK_EXTERNAL(${LIB_NAME} ${TARGET_EXTERNAL_LIBRARIES} ${CMAKE_THREAD_LIBS_INIT} ${MATH_LIBRARY})
ELSE(WIN32)
  LINK_EXTERNAL(${LIB_NAME} ${TARGET_EXTERNAL_LIBRARIES} ${CMAKE_THREAD_LIBS_INIT} ${MATH_LIBRARY})
ENDIF(WIN32)

LINK_INTERNAL(${LIB_NAME}
osgEarth
osgEarthFeatures
osgEarthSymbology
)

LINK_WITH_VARIABLES(${LIB_NAME} OSG_LIBRARY OSGUTIL_LIBRARY OSGSIM_LIBRARY OSGTERRAIN_LIBRARY OSGDB_LIBRARY OSGFX_LIBRARY OSGVIEWER_LIBRARY OSGTEXT_LIBRARY OSGGA_LIBRARY OPENTHREADS_LIBRARY)
LINK_CORELIB_DEFAULT(${LIB_NAME} ${CMAKE_THREAD_LIBS_INIT} ${MATH_LIBRARY})

INCLUDE(ModuleInstall OPTIONAL)

=== src/applications/osgearth_clouds/CMakeLists.txt ===
INCLUDE_DIRECTORIES(${OSG_INCLUDE_DIRS} )
SET(TARGET_LIBRARIES_VARS OSG_LIBRARY OSGDB_LIBRARY OSGUTIL_LIBRARY OSGVIEWER_LIBRARY OPENTHREADS_LIBRARY)

SET(TARGET_SRC osgearth_clouds.cpp )

#### end var setup  ###
SETUP_APPLICATION(osgearth_clouds)

=== src/applications/osgearth_earthfile/CMakeLists.txt ===
INCLUDE_DIRECTORIES(${OSG_INCLUDE_DIRS} )
SET(TARGET_LIBRARIES_VARS OSG_LIBRARY OSGDB_LIBRARY OSGUTIL_LIBRARY OSGVIEWER_LIBRARY OPENTHREADS_LIBRARY OSGEARTHFEATURES_LIBRARY)

SET(TARGET_SRC osgearth_earthfile.cpp )

#### end var setup  ###
SETUP_APPLICATION(osgearth_earthfile)

=== src/applications/osgearth_ocean/CMakeLists.txt ===
INCLUDE_DIRECTORIES(${OSG_INCLUDE_DIRS} )
SET(TARGET_LIBRARIES_VARS OSG_LIBRARY OSGDB_LIBRARY OSGUTIL_LIBRARY OSGVIEWER_LIBRARY OPENTHREADS_LIBRARY)

SET(TARGET_SRC osgearth_ocean.cpp )

#### end var setup  ###
SETUP_APPLICATION(osgearth_ocean)

=== src/applications/osgearth_seamless/CMakeLists.txt ===
INCLUDE_DIRECTORIES(${OSG_INCLUDE_DIRS} )

SET(TARGET_LIBRARIES_VARS OSG_LIBRARY OSGDB_LIBRARY OSGUTIL_LIBRARY OSGVIEWER_LIBRARY OPENTHREADS_LIBRARY)

SET(TARGET_SRC osgearth_seamless.cpp)

#### end var setup  ###
SETUP_APPLICATION(osgearth_seamless)

=== debian/changelog ===
osgearth (2.0+dfsg-4) unstable; urgency=low

  * Changed maintainer to Debian GIS Project
  * Added package osgearth-data
  * Renamed osgearth-dev to libosgearth-dev
  * Removed binaries from libosgearth-dev
  * Moved to sections devel/libs/libdevel
  * Fixed detection of OpenSceneGraph 3.0.0
  * Enhanced package descriptions
  * Standards-Version 3.9.2
  * Added source/format 3.0 (quilt)
  * Ready for Debian upload (closes: #633068)

 -- Pirmin Kalberer <pi_deb@sourcepole.ch>  Thu, 14 Jul 2011 22:13:36 +0200

osgearth (2.0-3) unstable; urgency=low

  * GDAL 1.8 support

 -- Pirmin Kalberer <pi_deb@sourcepole.ch>  Mon, 09 May 2011 21:32:01 +0200

osgearth (2.0-2) unstable; urgency=low

  * Missing libraries added (*.so.2.0.0)
  * lintian patch-system-but-no-source-readme fixed

 -- Pirmin Kalberer <pi_deb@sourcepole.ch>  Tue, 01 Mar 2011 00:27:42 +0100

osgearth (2.0-1) unstable; urgency=low

  * Upstream release 2.0
  * Moved sample applications to osgearth-dev

 -- Pirmin Kalberer <pi_deb@sourcepole.ch>  Mon, 28 Feb 2011 23:17:11 +0100

osgearth (2.0~rc4-1) unstable; urgency=low

  * Upstream master branch 11.2.11

 -- Pirmin Kalberer <pi_deb@sourcepole.ch>  Sat, 12 Feb 2011 21:10:13 +0100

osgearth (1.4.1-2) unstable; urgency=low

  * Lintian fixes

 -- Pirmin Kalberer <pi_deb@sourcepole.ch>  Fri, 22 Oct 2010 00:50:18 +0200

osgearth (1.4.1-1) lucid; urgency=low

  * Upstream release 1.4.1

 -- Pirmin Kalberer <pi_deb@sourcepole.ch>  Sun, 10 Oct 2010 22:16:24 +0200

osgearth (1.4-6) lucid; urgency=low

  * Backport of fix for some Intel graphic cards

 -- Pirmin Kalberer <pi_deb@sourcepole.ch>  Thu, 02 Sep 2010 21:36:07 +0200

osgearth (1.4-5) lucid; urgency=low

  * geopole.earth added

 -- Pirmin Kalberer <pi_deb@sourcepole.ch>  Mon, 30 Aug 2010 22:09:29 +0200

osgearth (1.4-4) lucid; urgency=low

  * Build dependency fix

 -- Pirmin Kalberer <pi_deb@sourcepole.ch>  Mon, 30 Aug 2010 21:48:05 +0200

osgearth (1.4-3) lucid; urgency=low

  * Package fix

 -- Pirmin Kalberer <pi_deb@sourcepole.ch>  Mon, 30 Aug 2010 16:24:19 +0200

osgearth (1.4-2) lucid; urgency=low

  * libosgearth1 package added

 -- Pirmin Kalberer <pi_deb@sourcepole.ch>  Mon, 30 Aug 2010 14:37:20 +0200

osgearth (1.4-1) lucid; urgency=low

  * New upstream release

 -- Pirmin Kalberer <pi_deb@sourcepole.ch>  Mon, 30 Aug 2010 10:21:31 +0200

osgearth (1.3-4) lucid; urgency=low

  * Update to libgdal 1.7

 -- Pirmin Kalberer <pi_deb@sourcepole.ch>  Mon, 31 May 2010 00:03:43 +0200

osgearth (1.3-3) karmic; urgency=low

  * osgearth-dev package added

 -- Pirmin Kalberer <pi_deb@sourcepole.ch>  Sun, 07 Feb 2010 01:29:04 +0100

osgearth (1.3-2) karmic; urgency=low

  * Replaced ttf-mscorefonts by ttf-liberation

 -- Pirmin Kalberer <pi_deb@sourcepole.ch>  Sat, 06 Feb 2010 20:30:24 +0100

osgearth (1.3-1) karmic; urgency=low

  * New upstream release

 -- Pirmin Kalberer <pi_deb@sourcepole.ch>  Thu, 04 Feb 2010 22:44:34 +0100

osgearth (1.3rc1-1) karmic; urgency=low

  * Initial Debian package release based on SVN tag osgearth_1.3RC1_T2010-01-04.

 -- Pirmin Kalberer <pi_deb@sourcepole.ch>  Thu, 07 Jan 2010 13:31:14 +0100

=== debian/control ===
Source: osgearth
Section: devel
Priority: extra
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Pirmin Kalberer <pi_deb@sourcepole.ch>
Build-Depends: debhelper (>= 7), quilt, cmake (>= 2.6.2),
 libopenscenegraph-dev (>= 2.8.0), openscenegraph (>= 2.8.0),
 libgdal-dev, libgeos-dev, libexpat1-dev (>= 2.0.1),
 libcurl4-gnutls-dev, libzip-dev, libsqlite3-dev
Standards-Version: 3.9.2
Homepage: http://osgearth.org/
Vcs-Git: git://git.debian.org/pkg-grass/osgearth.git
Vcs-Browser: http://git.debian.org/?p=pkg-grass/osgearth.git

Package: osgearth
Architecture: any
Depends: libosgearth1 (>= 1.4-2), ttf-liberation, ${shlibs:Depends}, ${misc:Depends}
Suggests: osgearth-data
Description: Dynamic 3D terrain rendering toolkit for OpenSceneGraph (binaries)
 osgEarth is a scalable terrain rendering toolkit for OpenSceneGraph
 (OSG), an open source, high performance, 3D graphics toolkit. Just create a
 simple XML file, point it at your imagery, elevation, and vector data, load it
 into your favorite OSG application, and go! osgEarth supports all kinds of
 data and comes with lots of examples to help you get up and running quickly
 and easily.
 .
 This package contains binaries.

Package: osgearth-data
Section: devel
Architecture: all
Depends: ${misc:Depends}
Description: Dynamic 3D terrain rendering toolkit for OpenSceneGraph (data)
 osgEarth is a scalable terrain rendering toolkit for OpenSceneGraph
 (OSG), an open source, high performance, 3D graphics toolkit. Just create a
 simple XML file, point it at your imagery, elevation, and vector data, load it
 into your favorite OSG application, and go! osgEarth supports all kinds of
 data and comes with lots of examples to help you get up and running quickly
 and easily.
 .
 This package contains data files.

Package: libosgearth1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: osgearth (<< 1.4-2)
Breaks: osgearth (<< 1.4-2)
Suggests: openscenegraph
Description: Dynamic 3D terrain rendering toolkit for OpenSceneGraph (shared libs)
 osgEarth is a scalable terrain rendering toolkit for OpenSceneGraph
 (OSG), an open source, high performance, 3D graphics toolkit. Just create a
 simple XML file, point it at your imagery, elevation, and vector data, load it
 into your favorite OSG application, and go! osgEarth supports all kinds of
 data and comes with lots of examples to help you get up and running quickly
 and easily.
 .
 This package contains the shared libraries.

Package: libosgearth-dev
Section: libdevel
Architecture: any
Depends: libopenscenegraph-dev, libgeos-dev, libosgearth1 (= ${binary:Version}), ${misc:Depends}
Replaces: osgearth-dev
Description: osgEarth development files
 osgEarth is a scalable terrain rendering toolkit for OpenSceneGraph
 (OSG), an open source, high performance, 3D graphics toolkit. Just create a
 simple XML file, point it at your imagery, elevation, and vector data, load it
 into your favorite OSG application, and go! osgEarth supports all kinds of
 data and comes with lots of examples to help you get up and running quickly
 and easily.
 .
 This package contains the development files.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

include /usr/share/quilt/quilt.make

PACKAGE := $(shell dpkg-parsechangelog | sed -n 's/^Source: //p')
VERSION := $(shell dpkg-parsechangelog | sed -ne 's/^Version: \(.*\)-.*/\1/p')

LDFLAGS += -Wl,--as-needed
CFLAGS = -Wall -g
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif


configure: configure-stamp
configure-stamp:  $(QUILT_STAMPFN)
	dh_testdir
	mkdir tmp
	cd tmp && cmake .. -DCMAKE_INSTALL_PREFIX=/usr -DLIB_POSTFIX=""
	touch configure-stamp


#Architecture
build: build-arch build-indep

build-arch: build-arch-stamp
build-arch-stamp: configure-stamp  $(QUILT_STAMPFN)
	$(MAKE) -C tmp
	touch $@

build-indep: build-indep-stamp
build-indep-stamp: configure-stamp  $(QUILT_STAMPFN)
	touch $@

clean: unpatch
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp build-indep-stamp configure-stamp
	rm -rf tmp
	dh_clean

install: install-indep install-arch
install-indep:
	dh_testdir
	dh_testroot
	dh_prep -i 
	dh_installdirs -i

	dh_install -i

	mkdir -p debian/osgearth-data/usr/share/osgearth/maps && \
          cp tests/*.earth debian/osgearth-data/usr/share/osgearth/maps/ && \
          cp debian/*.earth debian/osgearth-data/usr/share/osgearth/maps/ && \
          sed --in-place -e 's!\\!/!g' -e 's!\.\./data!/usr/share/osgearth/data!g' debian/osgearth-data/usr/share/osgearth/maps/*.earth
	mkdir -p debian/osgearth-data/usr/share/osgearth/data && \
          cp data/world.tif debian/osgearth-data/usr/share/osgearth/data/

install-arch:
	dh_testdir
	dh_testroot
	dh_prep -s 
	dh_installdirs -s

	$(MAKE) -C tmp install DESTDIR=$(CURDIR)/debian/tmp
	
	dh_install -s

	install -D README.txt debian/osgearth/usr/share/doc/osgearth/README.txt

	mkdir -p debian/osgearth/usr/share/osgearth/fonts && \
	  ln -s ../../fonts/truetype/ttf-liberation/LiberationSans-Regular.ttf debian/osgearth/usr/share/osgearth/fonts/arial.ttf && \
	  ln -s ../../fonts/truetype/ttf-liberation/LiberationSerif-Regular.ttf debian/osgearth/usr/share/osgearth/fonts/times.ttf

# Must not depend on anything. This is to be called by
# binary-arch/binary-indep
# in another 'make' thread.
binary-common:
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installman
	dh_lintian
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture independant packages using the common target.
binary-indep: build-indep install-indep
	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

# Build architecture dependant packages using the common target.
binary-arch: build-arch install-arch
	$(MAKE) -f debian/rules DH_OPTIONS=-s binary-common

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch configure get-orig-source


get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=.
	rm -rf $(PACKAGE)-$(VERSION)
	tar -xf $(PACKAGE)_$(VERSION).orig.tar.gz
	rm $(PACKAGE)_$(VERSION).orig.tar.gz
	mv gwaldron-osgearth* $(PACKAGE)-$(VERSION)
	#Remove data files with unknown license
	find $(PACKAGE)-$(VERSION)/data -not -name world.tif -type f | xargs rm
	mv $(PACKAGE)-$(VERSION) $(PACKAGE)-$(VERSION).orig
	GZIP=--best tar -cz --owner root --group root --mode a+rX \
	                -f $(PACKAGE)_$(VERSION)+dfsg.orig.tar.gz \
	                $(PACKAGE)-$(VERSION).orig
	rm -r $(PACKAGE)-$(VERSION).orig

=== debian/watch ===
version=3
http://githubredir.debian.net/github/gwaldron/osgearth .*osgearth_(.*)_.*.tar.gz

## osgearth 2.4.0%2Bdfsg

=== src/applications/osgearth_boundarygen/CMakeLists.txt ===
INCLUDE_DIRECTORIES(${OSG_INCLUDE_DIRS} )
SET(TARGET_LIBRARIES_VARS OSG_LIBRARY OSGDB_LIBRARY OSGUTIL_LIBRARY OSGVIEWER_LIBRARY OPENTHREADS_LIBRARY)

SET(TARGET_H
    BoundaryUtil
    VertexCollectionVisitor
)

SET(TARGET_SRC
    BoundaryUtil.cpp
    VertexCollectionVisitor.cpp
    boundarygen.cpp
)

#### end var setup  ###
SETUP_APPLICATION(osgearth_boundarygen)

=== src/applications/osgearth_featureeditor/CMakeLists.txt ===
INCLUDE_DIRECTORIES(${OSG_INCLUDE_DIRS} )

SET(TARGET_LIBRARIES_VARS OSG_LIBRARY OSGDB_LIBRARY OSGUTIL_LIBRARY OSGVIEWER_LIBRARY OPENTHREADS_LIBRARY)

SET(TARGET_SRC osgearth_featureeditor.cpp )

#### end var setup  ###
SETUP_APPLICATION(osgearth_featureeditor)

=== src/applications/osgearth_tracks/CMakeLists.txt ===
INCLUDE_DIRECTORIES(${OSG_INCLUDE_DIRS} )
SET(TARGET_LIBRARIES_VARS OSG_LIBRARY OSGDB_LIBRARY OSGUTIL_LIBRARY OSGVIEWER_LIBRARY OPENTHREADS_LIBRARY)

SET(TARGET_SRC osgearth_tracks.cpp )

#### end var setup  ###
SETUP_APPLICATION(osgearth_tracks)
